Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboPopup.InvocationMouseHandler

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--javax.swing.plaf.basic.BasicComboPopup.InvocationMouseHandler

All Implemented Interfaces:
  EventListener, MouseListener

Enclosing class:
  BasicComboPopup

protected class BasicComboPopup.InvocationMouseHandler
extends MouseAdapter

A listener to be registered upon the combo box (not its popup menu) to handle mouse events that affect the state of the popup menu. The main purpose of this listener is to make the popup menu appear and disappear. This listener also helps with click-and-drag scenarios by setting the selection if the mouse was released over the list during a drag.

Warning: We recommend that you not create subclasses of this class. If you absolutely must create a subclass, be sure to invoke the superclass version of each method.

See Also:
  `BasicComboPopup.createMouseListener()`

Constructor Summary
`protected` | `BasicComboPopup.InvocationMouseHandler()`

Method Summary
`void` | `mousePressed(MouseEvent e)` Responds to mouse-pressed events on the combo box.
`void` | `mouseReleased(MouseEvent e)` Responds to the user terminating a click or drag that began on the combo box.

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboPopup.InvocationMouseHandler

    protected BasicComboPopup.InvocationMouseHandler()

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  Responds to mouse-pressed events on the combo box.

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseAdapter`
  Parameters:
    `e` - the mouse-press event to be handled

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Responds to the user terminating a click or drag that began on the combo box.

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `MouseAdapter`
  Parameters:
    `e` - the mouse-release event to be handled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.